This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### FloatDict
Examples |
    FloatDict inventory;

    void setup() {
      size(200, 200);
      inventory = new FloatDict();
      inventory.set("coffee",108.6);
      inventory.set("flour",5.8);
      inventory.set("tea",8.2);
      println(inventory);
      noLoop();
      fill(0);
      textAlign(CENTER);
    }

    void draw() {
      float weight = inventory.get("coffee");
      text(weight, width/2, height/2);
    }
Description | A simple class to use a String as a lookup for an float value. String "keys" are associated with floating-point values.
Methods |
size() | Returns the number of key/value pairs
clear() | Remove all entries
keys() | Return the internal array being used to store the keys
keyArray() | Return a copy of the internal keys array
values() | Return the internal array being used to store the values
valueArray() | Create a new array and copy each of the values into it
get() | Return a value for the specified key
set() | Create a new key/value pair or change the value of one
hasKey() | Check if a key is a part of the data structure
add() | Add to a value
sub() | Subtract from a value
mult() | Multiply a value
div() | Divide a value
remove() | Remove a key/value pair
sortKeys() | Sort the keys alphabetically
sortKeysReverse() | Sort the keys alphabetially in reverse
sortValues() | Sort by values in ascending order
sortValuesReverse() | Sort by values in descending order
Constructor |
    FloatDict()
Related | IntDict StringDict

Updated on October 26, 2013 08:58:33pm PDT